## DT Version is in meson.build
%global git_ver  0.7.0
%global git_date  20221130
%global git_hash  1435563
%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

## Remember to check version upstream
Name:  seatd
Version:  %{git_ver}.%{git_date}
Release:  %{rel}.%{git_hash}%{?dist}
Summary:  A minimal seat management daemon, and a universal seat management library.
License:  MIT
URL:  https://git.sr.ht/~kennylevinsen/seatd
Source0:  %{src_name}

BuildRequires:  meson make gcc cmake scdoc
BuildRequires:  glibc-devel
BuildRequires:  systemd-devel

Requires:  systemd-libs

%description
%{summary}


%package libs
Summary:  Libs for %{name}.
%description libs
%{summary}


%package devel
Summary:  Devel files for %{name}.
Requires:  %{name}-libs = %{version}-%{release}
%description devel
%{summary}


%prep
%autosetup -n %{name}

%build
%meson -Dlibseat-logind=systemd
%meson_build

%install
%meson_install

%files
%license LICENSE
%{_bindir}/*
%{_mandir}/*

%files libs
%{_libdir}/*

%files devel
%{_includedir}/*

%changelog

